Package net.shibboleth.idp.cas.ticket

# Class ProxyGrantingTicket

java.lang.Object
net.shibboleth.idp.cas.ticket.Ticket
net.shibboleth.idp.cas.ticket.ProxyGrantingTicket

public class ProxyGrantingTicket extends Ticket
CAS proxy-granting ticket.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`parentPgTicketId`
The ID of the parent proxy-granting ticket.
`private String`
`proxyCallbackUrl`
Proxy callback URL that uniquely identifies the proxying party to which the PGT was issued.

## Constructor Summary

Constructors
Constructor
Description
`ProxyGrantingTicket(String id, String service, Instant expiration, String pgtUrl, String parentId)`
Creates a proxy-granting ticket with the given values.

## Method Summary

Modifier and Type
Method
Description
`String`
`getParentId()`
Get ID of parent proxy-granting ticket.
`String`
`getProxyCallbackUrl()`
Gets the proxy callback URL that uniquely identifies the proxying party to which the PGT was issued.
`boolean`
`isRoot()`
Determines whether this proxy-granting ticket is the root of a proxy chain.
`protected Ticket`
`newInstance(String newId)`
Create a new ticket with this ticket's service and expiration.

### Methods inherited from class net.shibboleth.idp.cas.ticket.Ticket

`clone, equals, getExpirationInstant, getId, getService, getSessionId, getTicketState, hashCode, setTicketState, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### proxyCallbackUrl

@Nonnull private String proxyCallbackUrl
Proxy callback URL that uniquely identifies the proxying party to which the PGT was issued.

### parentPgTicketId

@Nullable private String parentPgTicketId
The ID of the parent proxy-granting ticket.

## Constructor Details

### ProxyGrantingTicket

public ProxyGrantingTicket(@Nonnull String id, @Nonnull String service, @Nonnull Instant expiration, @Nonnull String pgtUrl, @Nullable String parentId)
Creates a proxy-granting ticket with the given values.

Parameters:
  `id` - Ticket ID.
  `service` - Service that requested the ticket.
  `expiration` - Expiration instant.
  `pgtUrl` - Proxy callback URL that uniquely identifies the proxying party to which the PGT was issued.
  `parentId` - ID of parent proxy-granting ticket or null if this is first proxy in chain.

## Method Details

### getProxyCallbackUrl

@Nonnull public String getProxyCallbackUrl()
Gets the proxy callback URL that uniquely identifies the proxying party to which the PGT was issued.

Returns:
  proxy callback URL

### getParentId

@Nullable public String getParentId()
Get ID of parent proxy-granting ticket.

Returns:
  ID of parent proxy-granting ticket

### isRoot

public boolean isRoot()
Determines whether this proxy-granting ticket is the root of a proxy chain.

Returns:
  True if this proxy-granting ticket has no parent, false otherwise.

### newInstance

protected Ticket newInstance(@Nonnull String newId)
Create a new ticket with this ticket's service and expiration.

Overrides:
  `newInstance` in class `Ticket`
Parameters:
  `newId` - new ticket ID
Returns:
  newly created ticket